### Function

# Gimp progress_init_printf

#### Declaration [src]

    gboolean
    gimp_progress_init_printf (
      const gchar* format,
      ...
    )

#### Description [src]

Initializes the progress bar for the current plug-in.

Initializes the progress bar for the current plug-in. It is only valid to call this procedure from a plug-in.

Available since: | 2.4
This function is not directly available to language bindings

#### Parameters

`format` | `const gchar*`
| A standard `printf()` format string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| Arguments for `format`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.